## Name

ALTER DATABASE — change a database

## Synopsis

    ALTER DATABASE name SET parameter { TO | = } { value | DEFAULT }
    ALTER DATABASE name RESET parameter

    ALTER DATABASE name RENAME TO newname

    ALTER DATABASE name OWNER TO new_owner

## Description

`ALTER DATABASE` is used to change the attributes of a database.

The first two forms change the session default of a run-time configuration variable for a PostgreSQL database. Whenever a new session is subsequently started in that database, the specified value becomes the session default value. The database-specific default overrides whatever setting is present in `postgresql.conf` or has been received from the `postmaster` command line. Only the database owner or a superuser can change the session defaults for a database.

The third form changes the name of the database. Only the database owner can rename a database, and only if he has the `CREATEDB` privilege. The current database cannot be renamed. (Connect to a different database if you need to do that.)

The fourth form changes the owner of the database. Only a superuser can change the database's owner.

## Parameters

`name`

  The name of the database whose session defaults are to be altered.

`parameter`
`value`

  Set the session default for this database of the specified configuration parameter to the given value. If `value` is `DEFAULT` or, equivalently, `RESET` is used, the database-specific variable setting is removed and the system-wide default setting will be inherited in new sessions. Use `RESET ALL` to clear all settings.

  See SET and Section 16.4, “Run-time Configuration” for more information about allowed parameter names and values.

`newname`

  The new name of the database.

## Notes

Using ALTER USER, it is also possible to tie a session default to a specific user rather than a database. User-specific settings override database-specific ones if there is a conflict.

## Examples

To disable index scans by default in the database `test`:

    ALTER DATABASE test SET enable_indexscan TO off;

## Compatibility

The `ALTER DATABASE` statement is a PostgreSQL extension.

## See Also

ALTER USER, CREATE DATABASE, DROP DATABASE, SET